[arch-commits] Commit in gqview/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 6 15:14:07 EDT 2009


    Date: Monday, April 6, 2009 @ 15:14:07
  Author: eric
Revision: 34136

Merged revisions 356,13830,34135 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gqview/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13830 | allan | 2008-09-28 23:11:21 -0400 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r34135 | eric | 2009-04-06 15:13:47 -0400 (Mon, 06 Apr 2009) | 2 lines
  
  upgpkg: gqview 2.0.4-2
      Added license, FHS man pages
........

Modified:
  gqview/repos/extra-x86_64/	(properties)
  gqview/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)


Property changes on: gqview/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gqview/trunk:1
   + /gqview/trunk:1-34135

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-06 19:13:47 UTC (rev 34135)
+++ extra-x86_64/PKGBUILD	2009-04-06 19:14:07 UTC (rev 34136)
@@ -3,17 +3,18 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=gqview
 pkgver=2.0.4
-pkgrel=1
+pkgrel=2
 pkgdesc="An image browser and viewer"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://gqview.sourceforge.net/"
+license=('GPL')
 depends=('gtk2')
-source=(http://heanet.dl.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
-url="http://gqview.sourceforge.net/"
+source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz)
 md5sums=('7196deab04db94cec2167637cddc02f9')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list